get
https://api.caas.staging.bancocdc.com.br/client/account/
The retrieve route is responsible for retrieving information from an existing payment account.
Attention point:
To consume the route it is necessary to pass the account code as a parameter.
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-02 | Invalid hash. |
| 400 | 400-09 | There are no results for the query. |
| 401 | 401-05 | Unauthorized or token invalid |
| 429 | 429-01 | Too many requests |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | string | Code of the request made |
| return | boolean | Indicates if the request was successful |
| return_code | string | Return code of the request |
| message | string | Message indicating the reason for the response |
| data | array | Array containing information of the account |
| data.code | string | Account code |
| data.document_customer | string | Customer document |
| data.bank_code | string | Bank code |
| data.bank_name | string | Bank name |
| data.account_number | string | Account number |
| data.code_account | string | Account code |
| data.agency_number | string | Agency number |
| data.code_agency | string | Agency code |
| data.code_operation | string | Operation code |
| data.type_account | string | Account type |
| data.created_at | string | Account creation date and time |